# $Revision: 1.4.2.1 $, $Date: 2003/03/13 00:56:42 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define	pdir	Class
%define	pnam	ISA
Summary:	Class::ISA Perl module - report the search path for a class's ISA tree
Summary(pl):	Modu perla Class::ISA - zwraca ciek przeszukiwania dla drzewa ISA klasy
Name:		perl-Class-ISA
Version:	0.32
Release:	3
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRequires:	perl >= 5.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library, Class::ISA, provides functions that return a list (in
order) of names of classes Perl would search to find a method, with
no duplicates.

%description -l pl
Biblioteka Class::ISA udostpnia funkcje zwracajce (uporzdkowan)
list nazw klas, ktre Perl powinien przeszuka w celu znalezienia
zadanej metody (bez duplikatw).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog
%{perl_sitelib}/Class/ISA.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Class-ISA.spec,v $
Revision 1.4.2.1  2003/03/13 00:56:42  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.4  2003/02/24 20:31:51  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:28:04  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/25 12:49:56  radek
- removed non-informative summaries, release 2, STBR
- added conditional tests

Revision 1.1  2002/07/30 13:52:48  ankry
- new module

